POST api/batchapi/add/begindryingstep

Request Information

URI Parameters

None.

Body Parameters

BatchMedistreamViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

batch_id

globally unique identifier

Required

medistream_id

globally unique identifier

Required

witness_id

globally unique identifier

Required

compartment

integer

Required

temp_max

decimal number

None.

start_time

date

None.

stop_time

date

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "34fae2f7-fea9-438d-ad63-59d4fac060f4",
  "batch_id": "5af3083b-ad61-47ab-9ff7-fa6f2eb36e1e",
  "medistream_id": "5f4a7f15-6b8d-43f7-b548-77f3841fcc31",
  "witness_id": "8e17417c-03c2-4962-b1bb-92756e0725ff",
  "compartment": 1,
  "temp_max": 1.1,
  "start_time": "2026-09-24T02:29:51.0843297+00:00",
  "stop_time": "2026-09-24T02:29:51.0843297+00:00"
}

application/xml, text/xml

Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>5af3083b-ad61-47ab-9ff7-fa6f2eb36e1e</batch_id>
  <compartment>1</compartment>
  <id>34fae2f7-fea9-438d-ad63-59d4fac060f4</id>
  <medistream_id>5f4a7f15-6b8d-43f7-b548-77f3841fcc31</medistream_id>
  <start_time>2026-09-24T02:29:51.0843297+00:00</start_time>
  <stop_time>2026-09-24T02:29:51.0843297+00:00</stop_time>
  <temp_max>1.1</temp_max>
  <witness_id>8e17417c-03c2-4962-b1bb-92756e0725ff</witness_id>
</batch_medistream>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'BatchMedistreamViewModel'.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"7f7a14fc-98bc-4334-8197-52f47fdfff71"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">7f7a14fc-98bc-4334-8197-52f47fdfff71</guid>